| Home | Libraries | People | FAQ | More

#### url_view_base

Common functionality for containers.

##### Synopsis

Defined in header `<boost/url/url_view_base.hpp>`

    class url_view_base

##### Static Member Functions

Name | Description
--- | ---
max_size | Return the maximum number of characters possible.

##### Member Functions

Name | Description
--- | ---
authority | Return the authority.
buffer | Return the url string.
compare | Return the result of comparing this with another url.
data | Return a pointer to the url's character buffer.
empty | Return true if the url is empty.
encoded_authority | Return the authority.
encoded_fragment | Return the fragment.
encoded_host | Return the host.
encoded_host_address | Return the host.
encoded_host_and_port | Return the host and port.
encoded_host_name | Return the host name.
encoded_origin | Return the origin.
encoded_params | Return the query as a container of parameters.
encoded_password | Return the password.
encoded_path | Return the path.
encoded_query | Return the query.
encoded_resource | Return the resource.
encoded_segments | Return the path as a container of segments.
encoded_target | Return the target.
encoded_user | Return the user.
encoded_userinfo | Return the userinfo.
encoded_zone_id | Return the IPv6 Zone ID.
fragment | Return the fragment.
has_authority | Return true if an authority is present.
has_fragment | Return true if a fragment is present.
has_password | Return true if a password is present.
has_port | Return true if a port is present.
has_query | Return true if a query is present.
has_scheme | Return true a scheme is present.
has_userinfo | Return true if a userinfo is present.
host | Return the host.
host_address | Return the host.
host_ipv4_address | Return the host IPv4 address.
host_ipv6_address | Return the host IPv6 address.
host_ipvfuture | Return the host IPvFuture address.
host_name | Return the host name.
host_type | Return the host type.
is_path_absolute | Return true if the path is absolute.
operator core::string_view | Return the URL as a core::string_view.
params | Return the query as a container of parameters. —
password | Return the password.
path | Return the path.
persist | Return a shared, persistent copy of the url.
port | Return the port.
port_number | Return the port.
query | Return the query.
scheme | Return the scheme.
scheme_id | Return the scheme.
segments | Return the path as a container of segments.
size | Return the number of characters in the url.
user | Return the user.
userinfo | Return the userinfo.
zone_id | Return the IPv6 Zone ID.

##### Friends

Name | Description
--- | ---
detail::pattern |
operator== | Return the result of comparing two URLs.
operator!= | Return the result of comparing two URLs.
operator< | Return the result of comparing two URLs.
operator<= | Return the result of comparing two URLs.
operator> | Return the result of comparing two URLs.
operator>= | Return the result of comparing two URLs.
operator<< | Format the url to the output stream.

##### Description

This base class is used by the library to provide common member functions for containers. This cannot be instantiated directly; Instead, use one of the containers or functions:

##### Containers

- `url`
- `url_view`
- `static_url`

##### Functions

- `parse_absolute_uri`
- `parse_origin_form`
- `parse_relative_ref`
- `parse_uri`
- `parse_uri_reference`

Convenience header `<boost/url.hpp>`